using Domain;

namespace Presenter.SaveSystem {
	public class SaveGame {
		private readonly IGameRepository _repository;
		private readonly Score _score;

		public SaveGame(IGameRepository repository, Score score) {
			_repository = repository;
			_score = score;
		}

		public void Run() {
			_repository.SaveScore(_score);
		}
	}
}